--------------------------------------------------------------------------
--Mod by ThuanDv 
--------------------------------------------------------------------------
macroScript CreateVrayPhysicalCamera
	category:"PluginsTool"
	toolTip:"Create V-Ray Physical Camera From View"
	Icon:#("camera",1)
(
			--camera variable
			local d
			local dwcol = (color 5 54 179)
			local dtargdist = getscreenscalefactor [0,0,0]
			-- get viewport tm
			local dviewfov = getVIewFOV()
			local dXform =  Inverse(viewport.getTM())
	  
			--disablesceneredraw() 
			-- perspective views
			if viewport.Gettype() == #view_persp_user
			then
			(
				if (superclassof selection[1]) == camera --check if selection is a camera
						then --if selection is a camera, than call the match camera to view action
						(
								actionMan.executeAction 0 "40249" --loc_notes: do not localize this
						)
			else --if selection is not a camera, then create it for the user
						(
							-- creates a camera, and assigns the current Vport Transforms
								d = vrayphysicalcamera  targetDistance:dtargdist isSelected:on wirecolor:dwcol
								d.fov = dviewfov
								d.Transform = dXform 
								viewport.setcamera d
								d.targeted = true
								d.target.wirecolor = dwcol
						)--end then
			)--end then
			else
			(

			)--end else

			-- clears the local variables
				d = undefined 
			dviewfov = undefined
			dXform  = undefined
	  
			--enablesceneredraw()
	  
		)--end on execute
